> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wenium.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an IP set



## OpenAPI

````yaml /openapi.json post /ip-lists
openapi: 3.1.0
info:
  title: Wenium Cloud API
  version: 2.0.0
  description: >-
    Complete API documentation for the Wenium Cloud platform.


    **Authentication.** All authenticated endpoints require a personal access
    token. Send the token in the `Authorization: Bearer <token>` header.
servers:
  - url: https://console.wenium.com/api
    description: Production API Server
security:
  - bearerAuth: []
paths:
  /ip-lists:
    post:
      summary: Create an IP set
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  type: string
                  example: Office IPs
      responses:
        '200':
          description: IP Set created
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: IP Set created.
                  data:
                    $ref: '#/components/schemas/IpSet'
components:
  schemas:
    IpSet:
      type: object
      properties:
        id:
          type: integer
          example: 1
        name:
          type: string
          example: Office IPs
        user_id:
          type: integer
          example: 1
        organization_id:
          type: integer
          nullable: true
          example: 2
        created_at:
          type: string
          format: date-time
          example: '2026-07-03T00:00:00.000000Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-07-03T00:00:00.000000Z'
        items:
          type: array
          items:
            $ref: '#/components/schemas/IpEntry'
    IpEntry:
      type: object
      properties:
        id:
          type: integer
          example: 1
        ip_list_id:
          type: integer
          example: 1
        ip:
          type: string
          example: 192.168.1.50
        created_at:
          type: string
          format: date-time
          example: '2026-07-03T00:00:00.000000Z'
        updated_at:
          type: string
          format: date-time
          example: '2026-07-03T00:00:00.000000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum personal access token

````